import java.io.*;
import java.util.*;
import com.perforce.api.*;

public class ListUsers {

  public static void main(String[] argv) {
    User u;
    /* Please see the Common.java file to see how the environment is being
     * set up. This is important, but it is common to all the examples.
     */
    Env env = Common.setup();

    try {
      Debug.setDebugLevel(Debug.NOTICE);
      Enumeration en = User.getUsers(env);
      while (en.hasMoreElements()) {
	u = (User)en.nextElement();
	System.out.println("USER: "+u.getId());
      }
    } catch (Exception ex) {
      ex.printStackTrace();
    }
    Utils.cleanUp();
  }
}
      
    
